mtext_del(3m17n)

NAME
mtext_del - Delete characters in the specified range destructively.

SYNOPSIS
int mtext_del (MText * mt, int from, int to)

DESCRIPTION
Delete characters in the specified range destructively.

The mtext_del() function deletes the characters in the range from (inclusive) and to (exclusive) from M-text mt destructively. As a result, the length of mt shrinks by (to - from) characters.

RETURN VALUE

    If the operation was successful, mtext_del() returns 0. Otherwise, it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

SEE ALSO

    mtext_ins()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.